<?php
$uri = $_SERVER["REQUEST_URI"];
preg_match('|\.php\/(.+)\/|',$uri,$vv);
$code = $vv[1];
$opts = array(
'http'=>array('method'=>"GET",'header'=>"User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.3)\r\n")
);
$context = stream_context_create($opts);
$url = "http://dl.dbank.com/".$code;
$str = file_get_contents($url,false,$context);
preg_match('|href="([^"]+)" class="gbtn btn-xz"|', $str, $data);
$dburl = $data[1];
if($dburl){
 /** header('Content-Type:application/force-download');
 */
  header("Location:".$dburl);
 die();
 }
else echo "Error";
?>